---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libpopframe009.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x53D60, symBinAddr: 0xC340, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x55CA0, symBinAddr: 0xE280, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x56090, symBinAddr: 0xE670, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x57030, symBinAddr: 0xF610, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x57040, symBinAddr: 0xF620, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x53850, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x53854, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x53858, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x539B0, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x53A68, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x53A6C, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x53A70, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x53A74, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x53A78, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x53A80, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x53A98, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x53AA0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x53AA8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x53AB0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x53AB8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL13midCheckPoint, symObjAddr: 0x53B00, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x53B08, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL14breakpointLock, symObjAddr: 0x53B10, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9110, offset: 0x9110, size: 0x8, addend: 0x0, symName: __ZL7bpCount, symObjAddr: 0x53B18, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9129, offset: 0x9129, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x53B1C, symBinAddr: 0xC1BC, symSize: 0x0 }
  - { offsetInCU: 0x9149, offset: 0x9149, size: 0x8, addend: 0x0, symName: __ZL11framesCount, symObjAddr: 0x53B20, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9162, offset: 0x9162, size: 0x8, addend: 0x0, symName: __ZL6midRun, symObjAddr: 0x53B28, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x917B, offset: 0x917B, size: 0x8, addend: 0x0, symName: __ZL7popDone, symObjAddr: 0x53B30, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x919B, offset: 0x919B, size: 0x8, addend: 0x0, symName: __ZL11suspendLock, symObjAddr: 0x53B38, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x91B4, offset: 0x91B4, size: 0x8, addend: 0x0, symName: __ZL12popFrameLock, symObjAddr: 0x53B40, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x91CD, offset: 0x91CD, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x53B48, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x91E6, offset: 0x91E6, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x53B50, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x91FF, offset: 0x91FF, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x53B60, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x9251, offset: 0x9251, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x34C0, symSize: 0x80 }
  - { offsetInCU: 0x92E6, offset: 0x92E6, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3410, symSize: 0xB0 }
  - { offsetInCU: 0x9341, offset: 0x9341, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3310, symSize: 0x100 }
  - { offsetInCU: 0x95D4, offset: 0x95D4, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3540, symSize: 0x220 }
  - { offsetInCU: 0x97B9, offset: 0x97B9, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3760, symSize: 0xA0 }
  - { offsetInCU: 0x986C, offset: 0x986C, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3800, symSize: 0x110 }
  - { offsetInCU: 0x9962, offset: 0x9962, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3910, symSize: 0x150 }
  - { offsetInCU: 0x9ABF, offset: 0x9ABF, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3A60, symSize: 0x30 }
  - { offsetInCU: 0x9B80, offset: 0x9B80, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3A90, symSize: 0x150 }
  - { offsetInCU: 0x9D78, offset: 0x9D78, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3BE0, symSize: 0x160 }
  - { offsetInCU: 0x9F04, offset: 0x9F04, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3D40, symSize: 0x1B0 }
  - { offsetInCU: 0xA11F, offset: 0xA11F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3EF0, symSize: 0xA0 }
  - { offsetInCU: 0xA1EE, offset: 0xA1EE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3F90, symSize: 0x20 }
  - { offsetInCU: 0xA225, offset: 0xA225, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3FB0, symSize: 0x20 }
  - { offsetInCU: 0xA25C, offset: 0xA25C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3FD0, symSize: 0x20 }
  - { offsetInCU: 0xA493, offset: 0xA493, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3FF0, symSize: 0x1A0 }
  - { offsetInCU: 0xA7B9, offset: 0xA7B9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4190, symSize: 0x80 }
  - { offsetInCU: 0xA882, offset: 0xA882, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4210, symSize: 0x6A0 }
  - { offsetInCU: 0xB417, offset: 0xB417, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xACC0, symBinAddr: 0x6060, symSize: 0xB0 }
  - { offsetInCU: 0xB48E, offset: 0xB48E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x48B0, symSize: 0x70 }
  - { offsetInCU: 0xB5A2, offset: 0xB5A2, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4920, symSize: 0xA0 }
  - { offsetInCU: 0xB6CD, offset: 0xB6CD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x49C0, symSize: 0x40 }
  - { offsetInCU: 0xB7C3, offset: 0xB7C3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4A00, symSize: 0x2B0 }
  - { offsetInCU: 0xBB69, offset: 0xBB69, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4CB0, symSize: 0xC0 }
  - { offsetInCU: 0xBCAF, offset: 0xBCAF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4D70, symSize: 0x10 }
  - { offsetInCU: 0xBD71, offset: 0xBD71, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4D80, symSize: 0x220 }
  - { offsetInCU: 0xC06E, offset: 0xC06E, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x4FA0, symSize: 0x10 }
  - { offsetInCU: 0xC0CB, offset: 0xC0CB, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x4FB0, symSize: 0x1A0 }
  - { offsetInCU: 0xC298, offset: 0xC298, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DB0, symBinAddr: 0x5150, symSize: 0x10 }
  - { offsetInCU: 0xC2F5, offset: 0xC2F5, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0x9DC0, symBinAddr: 0x5160, symSize: 0x150 }
  - { offsetInCU: 0xC477, offset: 0xC477, size: 0x8, addend: 0x0, symName: _SingleStep, symObjAddr: 0x9F10, symBinAddr: 0x52B0, symSize: 0x1B0 }
  - { offsetInCU: 0xC6B1, offset: 0xC6B1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_PopFrame_popframe009_getReady, symObjAddr: 0xA0C0, symBinAddr: 0x5460, symSize: 0x110 }
  - { offsetInCU: 0xC839, offset: 0xC839, size: 0x8, addend: 0x0, symName: _popFrames, symObjAddr: 0xA1D0, symBinAddr: 0x5570, symSize: 0x200 }
  - { offsetInCU: 0xCA5C, offset: 0xCA5C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_PopFrame_popframe009_check, symObjAddr: 0xA3D0, symBinAddr: 0x5770, symSize: 0x8F0 }
  - { offsetInCU: 0xD38D, offset: 0xD38D, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAD70, symBinAddr: 0x6110, symSize: 0x36A }
...
